## oxygen 6.2.90

=== debian/changelog ===
oxygen (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Switch kdecorations build dep to libkdecorations3-dev
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:21:52 +0000

oxygen (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:02:10 +0000

oxygen (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:45:31 -0600

oxygen (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:48 +0000

oxygen (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Install oxygen plasma theme, moved from plasma-desktoptheme package.
  * Add breaks/replaces on plasma-desktoptheme << 6.1.90~
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:58:02 +0000

oxygen (4:6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:07:20 +0100
