=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.25~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.10.0~),
+               cmake (>= 3.25~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.2.90~),
+               libkdecorations3-dev,
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -23,7 +22,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf6completion-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6configwidgets-dev,
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6guiaddons-dev (>= 6.10.0~),
                libkf6i18n-dev (>= 6.10.0~),
@@ -32,21 +31,21 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.2.90~),
+               libplasma-dev (>= 6.3.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-base-private-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
 Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
@@ -72,6 +71,7 @@
 Package: kwin-decoration-oxygen
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: libkf6kcmutils-bin,
 Multi-Arch: same
 Description: KWin decoration for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
@@ -131,9 +131,8 @@
          oxygen-sounds,
          qml6-module-qtquick,
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-desktoptheme (<< 6.1.90~),
-Replaces: plasma-desktoptheme (<< 6.1.90~),
+Breaks: plasma-framework (<< 5.115.0-6~),
+Replaces: plasma-framework (<< 5.115.0-6~),
 Description: Look-and-feel for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
