=== debian/changelog ===
oxygen (4:6.3.4-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.

  [ Pino Toscano ]
  * Update kde-style-oxygen-qt6.install according to the newer kpackage, which
    does not generate appstream metainfo files for packages anymore.
    (Closes: #1117358)
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 09:16:29 +0200

oxygen (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:28 +0200
