=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.2~),
+               libplasma-dev (>= 6.3.4~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
@@ -42,11 +42,10 @@
                qt6-declarative-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/oxygen
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
-Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
 Architecture: any
