=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: oxygen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.25~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.25~),
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkdecorations3-dev,
+               libkdecorations3-dev (>= 4:6.3.5~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -22,7 +23,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf6completion-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev,
+               libkf6configwidgets-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6guiaddons-dev (>= 6.10.0~),
                libkf6i18n-dev (>= 6.10.0~),
@@ -31,7 +32,7 @@
                libkf6style-dev (>= 6.10.0~),
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.4~),
+               libplasma-dev (>= 6.3.5~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
@@ -42,10 +43,11 @@
                qt6-declarative-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/oxygen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/oxygen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/oxygen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/oxygen
+Rules-Requires-Root: no
 
 Package: kde-style-oxygen-qt5
 Architecture: any
@@ -130,8 +132,8 @@
          oxygen-sounds,
          qml6-module-qtquick,
          ${misc:Depends},
-Breaks: plasma-framework (<< 5.115.0-6~),
-Replaces: plasma-framework (<< 5.115.0-6~),
+Breaks: plasma-desktoptheme (<< 6.1.90~),
+Replaces: plasma-desktoptheme (<< 6.1.90~),
 Description: Look-and-feel for the Oxygen desktop theme
  The Oxygen desktop theme is used by Plasma and other KDE Software.
  .
