## oxygen 6.4.4

=== debian/changelog ===
oxygen (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:45 +0100
