=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.3.5~),
+               libkdecorations3-dev (>= 4:6.4.4~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -21,26 +21,26 @@
                libkf5style-dev (>= 5.102.0~),
                libkf5widgetsaddons-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
-               libkf6completion-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6kcmutils-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6style-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.5~),
+               libkf6completion-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6configwidgets-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6guiaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6kcmutils-dev (>= 6.14.0~),
+               libkf6service-dev (>= 6.14.0~),
+               libkf6style-dev (>= 6.14.0~),
+               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkf6windowsystem-dev (>= 6.14.0~),
+               libplasma-dev (>= 6.4.4~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0
