=== debian/changelog ===
oxygen (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:15:49 +0100

oxygen (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:46 +0100
