=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkdecorations3-dev (>= 4:6.4.4~),
+               libkdecorations3-dev (>= 4:6.4.5~),
                libkf5completion-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -32,7 +32,7 @@
                libkf6style-dev (>= 6.14.0~),
                libkf6widgetsaddons-dev (>= 6.14.0~),
                libkf6windowsystem-dev (>= 6.14.0~),
-               libplasma-dev (>= 6.4.4~),
+               libplasma-dev (>= 6.4.5~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb1-dev,
