## oxygen 6.4.5+p24.04+vstable+git20251017.0814

=== debian/changelog ===
oxygen (4:6.4.5+p24.04+vstable+git20251017.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:14:43 +0000
