## oxygen 6.4.91

=== debian/changelog ===
oxygen (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 12:20:02 +0200
